%define name	globus-gaa
%define release	3
%define version 1.2

BuildRoot:	%{buildroot}
Name:		%{name}
Release:	%{release}
Version:	%{version}
Summary:	Globus Toolkit - Globus GAA Libraries

Group:		System Environment/Libraries
License:	ASL 2.0
URL:		http://www.globus.org/
Source:		%{name}-%{version}.tgz

Requires:	globus-common >= 14

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus Generic Authorization and Access Libraries (GAA)

%prep

%setup -q -n %{name}-%{version}

%configure --prefix=$RPM_BUILD_ROOT/usr \
    --libdir=$RPM_BUILD_ROOT/usr/lib64 \
    --sysconfdir=$RPM_BUILD_ROOT/etc/grid-security \
    --includedir=$RPM_BUILD_ROOT/usr/include/globus

make

%install
rm -rf $RPM_BUILD_ROOT
make install
rm -rf $RPM_BUILD_ROOT/usr/lib64/*a
sed -i "s|$RPM_BUILD_ROOT||" $RPM_BUILD_ROOT/usr/lib64/pkgconfig/globus-gaa.pc

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
/usr/include/globus/*
/usr/lib64/*
/usr/share/doc/globus-gaa/GLOBUS_LICENSE
/usr/share/doc/globus-gaa/RSA.LICENSE
%config
/etc/grid-security/globus-gaa/globus_gaa.conf
/etc/grid-security/globus-gaa/globus_gaa_custom.conf
%docdir /usr/share/doc

%changelog
* Sun Dec  8 2019 root <root@alan-builder.novalocal> - 1.2-3
- add dependencies in BuildRequires
- remove the epstopdf-2.9.5gw
